<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="21507" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_0" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="21505"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="RDSAddRoomVC">
            <connections>
                <outlet property="deviceIDTF" destination="r96-Xm-Hnh" id="tXc-47-D4Q"/>
                <outlet property="homeNameLab" destination="5qP-k7-oW7" id="usF-jt-KPD"/>
                <outlet property="roomNameTF" destination="sDr-9O-ohW" id="LWp-fM-no3"/>
                <outlet property="view" destination="i5M-Pr-FkT" id="sfx-zR-JGt"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="i5M-Pr-FkT">
            <rect key="frame" x="0.0" y="0.0" width="390" height="844"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <button opaque="NO" clipsSubviews="YES" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="JgY-fI-Msh">
                    <rect key="frame" x="39" y="707" width="312" height="48"/>
                    <color key="backgroundColor" red="0.078431372550000003" green="0.78823529410000004" blue="0.78823529410000004" alpha="1" colorSpace="calibratedRGB"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="48" id="OHF-n3-DaO"/>
                        <constraint firstAttribute="width" constant="312" id="s0C-JJ-zDA"/>
                    </constraints>
                    <fontDescription key="fontDescription" type="boldSystem" pointSize="16"/>
                    <state key="normal" title="下一步">
                        <color key="titleColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    </state>
                    <userDefinedRuntimeAttributes>
                        <userDefinedRuntimeAttribute type="string" keyPath="layer.cornerRadius" value="14"/>
                        <userDefinedRuntimeAttribute type="boolean" keyPath="layer.masksToBounds" value="YES"/>
                    </userDefinedRuntimeAttributes>
                    <connections>
                        <action selector="onNextBtnClick" destination="-1" eventType="touchUpInside" id="f3s-ro-KI7"/>
                    </connections>
                </button>
                <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" translatesAutoresizingMaskIntoConstraints="NO" id="n6u-nP-NxE">
                    <rect key="frame" x="20" y="52" width="350" height="210"/>
                    <subviews>
                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="hGD-Xo-TnU">
                            <rect key="frame" x="0.0" y="0.0" width="350" height="70"/>
                            <subviews>
                                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="uv2-JZ-Q6W">
                                    <rect key="frame" x="0.0" y="69" width="350" height="1"/>
                                    <color key="backgroundColor" systemColor="systemGray3Color"/>
                                    <constraints>
                                        <constraint firstAttribute="height" constant="1" id="EBh-Z5-f5e"/>
                                    </constraints>
                                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                    <nil key="textColor"/>
                                    <nil key="highlightedColor"/>
                                </label>
                                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="我的家" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="5qP-k7-oW7">
                                    <rect key="frame" x="1" y="41.666666666666671" width="49" height="19.333333333333329"/>
                                    <fontDescription key="fontDescription" type="boldSystem" pointSize="16"/>
                                    <color key="textColor" red="0.15294117647058825" green="0.1803921568627451" blue="0.23137254901960785" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                    <color key="highlightedColor" red="0.1529411765" green="0.18039215689999999" blue="0.23137254900000001" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                </label>
                            </subviews>
                            <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <constraints>
                                <constraint firstAttribute="trailing" secondItem="uv2-JZ-Q6W" secondAttribute="trailing" id="CFl-uD-FP4"/>
                                <constraint firstItem="5qP-k7-oW7" firstAttribute="leading" secondItem="hGD-Xo-TnU" secondAttribute="leading" constant="1" id="Jrc-qJ-s8r"/>
                                <constraint firstAttribute="bottom" secondItem="uv2-JZ-Q6W" secondAttribute="bottom" id="hXU-M2-IJh"/>
                                <constraint firstItem="uv2-JZ-Q6W" firstAttribute="leading" secondItem="hGD-Xo-TnU" secondAttribute="leading" id="qX0-UP-BsB"/>
                                <constraint firstAttribute="height" constant="70" id="tHf-JP-TCf"/>
                                <constraint firstItem="uv2-JZ-Q6W" firstAttribute="top" secondItem="5qP-k7-oW7" secondAttribute="bottom" constant="8" id="vdd-dr-2a6"/>
                            </constraints>
                        </view>
                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="rGX-O7-jsd">
                            <rect key="frame" x="0.0" y="70" width="350" height="70"/>
                            <subviews>
                                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="l0H-Ke-IrN">
                                    <rect key="frame" x="0.0" y="69" width="350" height="1"/>
                                    <color key="backgroundColor" systemColor="systemGray3Color"/>
                                    <constraints>
                                        <constraint firstAttribute="height" constant="1" id="fXO-fK-qIY"/>
                                    </constraints>
                                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                    <nil key="textColor"/>
                                    <nil key="highlightedColor"/>
                                </label>
                                <textField opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="248" contentHorizontalAlignment="left" contentVerticalAlignment="bottom" placeholder="输入房间名称" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="sDr-9O-ohW">
                                    <rect key="frame" x="1" y="20" width="329" height="41"/>
                                    <color key="textColor" red="0.1529411765" green="0.18039215689999999" blue="0.23137254900000001" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                    <fontDescription key="fontDescription" type="boldSystem" pointSize="16"/>
                                    <textInputTraits key="textInputTraits"/>
                                </textField>
                            </subviews>
                            <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <constraints>
                                <constraint firstAttribute="bottom" secondItem="l0H-Ke-IrN" secondAttribute="bottom" id="5PL-YD-Dbn"/>
                                <constraint firstItem="sDr-9O-ohW" firstAttribute="leading" secondItem="rGX-O7-jsd" secondAttribute="leading" constant="1" id="JUa-GV-L8x"/>
                                <constraint firstItem="sDr-9O-ohW" firstAttribute="top" secondItem="rGX-O7-jsd" secondAttribute="top" constant="20" id="K64-GB-OCB"/>
                                <constraint firstItem="l0H-Ke-IrN" firstAttribute="top" secondItem="sDr-9O-ohW" secondAttribute="bottom" constant="8" id="bnS-DZ-eI8"/>
                                <constraint firstAttribute="height" constant="70" id="fHF-XQ-KTG"/>
                                <constraint firstItem="l0H-Ke-IrN" firstAttribute="leading" secondItem="rGX-O7-jsd" secondAttribute="leading" id="gZc-g7-IPL"/>
                                <constraint firstAttribute="trailing" secondItem="l0H-Ke-IrN" secondAttribute="trailing" id="h11-Vf-yaD"/>
                                <constraint firstAttribute="trailing" secondItem="sDr-9O-ohW" secondAttribute="trailing" constant="20" id="xVF-i3-F4T"/>
                            </constraints>
                        </view>
                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="nou-NF-lGc">
                            <rect key="frame" x="0.0" y="140" width="350" height="70"/>
                            <subviews>
                                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="DRk-IG-zHL">
                                    <rect key="frame" x="0.0" y="69" width="350" height="1"/>
                                    <color key="backgroundColor" systemColor="systemGray3Color"/>
                                    <constraints>
                                        <constraint firstAttribute="height" constant="1" id="SWE-0x-22k"/>
                                    </constraints>
                                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                    <nil key="textColor"/>
                                    <nil key="highlightedColor"/>
                                </label>
                                <textField opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="248" contentHorizontalAlignment="left" contentVerticalAlignment="bottom" placeholder="输入控制面板编号" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="r96-Xm-Hnh">
                                    <rect key="frame" x="1" y="20" width="264" height="41"/>
                                    <color key="textColor" red="0.1529411765" green="0.18039215689999999" blue="0.23137254900000001" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                    <fontDescription key="fontDescription" type="boldSystem" pointSize="16"/>
                                    <textInputTraits key="textInputTraits"/>
                                </textField>
                                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Wqu-7G-Kjm">
                                    <rect key="frame" x="305" y="30" width="40" height="40"/>
                                    <constraints>
                                        <constraint firstAttribute="width" constant="40" id="8hc-AD-wKe"/>
                                        <constraint firstAttribute="height" constant="40" id="jM0-ow-C67"/>
                                    </constraints>
                                    <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                                    <state key="normal" title="" image="icon_scan"/>
                                    <connections>
                                        <action selector="onScanBtnClick" destination="-1" eventType="touchUpInside" id="NoX-Ci-x8y"/>
                                    </connections>
                                </button>
                            </subviews>
                            <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <constraints>
                                <constraint firstItem="r96-Xm-Hnh" firstAttribute="leading" secondItem="nou-NF-lGc" secondAttribute="leading" constant="1" id="7vz-io-hgR"/>
                                <constraint firstItem="Wqu-7G-Kjm" firstAttribute="leading" secondItem="r96-Xm-Hnh" secondAttribute="trailing" constant="40" id="DqD-gX-ad1"/>
                                <constraint firstItem="r96-Xm-Hnh" firstAttribute="top" secondItem="nou-NF-lGc" secondAttribute="top" constant="20" id="EDg-FJ-4Wd"/>
                                <constraint firstAttribute="bottom" secondItem="Wqu-7G-Kjm" secondAttribute="bottom" id="J0W-3b-y8p"/>
                                <constraint firstItem="DRk-IG-zHL" firstAttribute="leading" secondItem="nou-NF-lGc" secondAttribute="leading" id="SST-tu-ZXW"/>
                                <constraint firstAttribute="trailing" secondItem="DRk-IG-zHL" secondAttribute="trailing" id="jaO-eo-QYf"/>
                                <constraint firstAttribute="height" constant="70" id="me6-hM-jLS"/>
                                <constraint firstItem="DRk-IG-zHL" firstAttribute="top" secondItem="r96-Xm-Hnh" secondAttribute="bottom" constant="8" id="uyk-dR-HOS"/>
                                <constraint firstAttribute="bottom" secondItem="DRk-IG-zHL" secondAttribute="bottom" id="yZn-pA-NvK"/>
                                <constraint firstAttribute="trailing" secondItem="Wqu-7G-Kjm" secondAttribute="trailing" constant="5" id="yyF-Tb-re8"/>
                            </constraints>
                        </view>
                    </subviews>
                    <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <constraints>
                        <constraint firstAttribute="trailing" secondItem="hGD-Xo-TnU" secondAttribute="trailing" id="C3D-96-KXM"/>
                        <constraint firstItem="hGD-Xo-TnU" firstAttribute="leading" secondItem="n6u-nP-NxE" secondAttribute="leading" id="Y7D-mf-g5q"/>
                        <constraint firstItem="hGD-Xo-TnU" firstAttribute="top" secondItem="n6u-nP-NxE" secondAttribute="top" id="xsA-v7-3VT"/>
                    </constraints>
                </stackView>
            </subviews>
            <viewLayoutGuide key="safeArea" id="Q5M-cg-NOt"/>
            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
            <constraints>
                <constraint firstItem="n6u-nP-NxE" firstAttribute="top" secondItem="Q5M-cg-NOt" secondAttribute="top" constant="5" id="Owt-GL-O37"/>
                <constraint firstItem="Q5M-cg-NOt" firstAttribute="bottom" secondItem="JgY-fI-Msh" secondAttribute="bottom" constant="55" id="cue-pZ-eJh"/>
                <constraint firstItem="n6u-nP-NxE" firstAttribute="leading" secondItem="Q5M-cg-NOt" secondAttribute="leading" constant="20" id="daq-Yk-BIb"/>
                <constraint firstItem="Q5M-cg-NOt" firstAttribute="trailing" secondItem="n6u-nP-NxE" secondAttribute="trailing" constant="20" id="fab-UH-854"/>
                <constraint firstItem="JgY-fI-Msh" firstAttribute="centerX" secondItem="i5M-Pr-FkT" secondAttribute="centerX" id="wLJ-9f-uaJ"/>
            </constraints>
            <point key="canvasLocation" x="7.6923076923076916" y="-1.4218009478672986"/>
        </view>
    </objects>
    <resources>
        <image name="icon_scan" width="20" height="18.666666030883789"/>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
        <systemColor name="systemGray3Color">
            <color red="0.7803921568627451" green="0.7803921568627451" blue="0.80000000000000004" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
    </resources>
</document>
